Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.utils
Class GroupsManagerAdapter

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.utils.GroupsManagerAdapter

All Implemented Interfaces:
  org.jasig.portal.IChannel, org.jasig.portal.IServant

public class GroupsManagerAdapter
extends java.lang.Object
implements org.jasig.portal.IServant

GroupsManagerAdapter
Adaptateur permettant de faire appel au GroupsManager depuis le MAG
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.1 $
Author:
  Mathieu Larchet

Constructor Summary
`GroupsManagerAdapter()` Constructeur

Method Summary
`java.lang.Object[]` | `getResults()` Retourne les résultats du servant Implements IServant interface
`org.jasig.portal.ChannelRuntimeProperties` | `getRuntimeProperties()` Callback GroupsManager Implements IChannel interface
`boolean` | `isFinished()` Indique au canal maître si le servant a fini Implements IServant interface
`void` | `receiveEvent(org.jasig.portal.PortalEvent ev)` Callback GroupsManager Implements IChannel interface
`void` | `renderXML(org.xml.sax.ContentHandler out)` Callback GroupsManager Implements IChannel interface
`void` | `setRuntimeData(org.jasig.portal.ChannelRuntimeData rd)` Callback GroupsManager Implements IChannel interface
`void` | `setStaticData(org.jasig.portal.ChannelStaticData sd)` Callback GroupsManager Implements IChannel interface

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GroupsManagerAdapter

    public GroupsManagerAdapter()

  Constructeur

Method Detail

### isFinished

    public boolean isFinished()

  Indique au canal maître si le servant a fini Implements IServant interface

  Specified by:
    `isFinished` in interface `org.jasig.portal.IServant`
  Returns:
    finished true | false

### getResults

    public java.lang.Object[] getResults()

  Retourne les résultats du servant Implements IServant interface

  Specified by:
    `getResults` in interface `org.jasig.portal.IServant`
  Returns:
    results Un tableau d'objets

### setStaticData

    public void setStaticData(org.jasig.portal.ChannelStaticData sd)
                       throws org.jasig.portal.PortalException

  Callback GroupsManager Implements IChannel interface

  Specified by:
    `setStaticData` in interface `org.jasig.portal.IChannel`
  Parameters:
    `sd` - ChannelStaticData
  Throws:
    `org.jasig.portal.PortalException`

### setRuntimeData

    public void setRuntimeData(org.jasig.portal.ChannelRuntimeData rd)
                        throws org.jasig.portal.PortalException

  Callback GroupsManager Implements IChannel interface

  Specified by:
    `setRuntimeData` in interface `org.jasig.portal.IChannel`
  Parameters:
    `rd` - ChannelRuntimeData
  Throws:
    `org.jasig.portal.PortalException`

### receiveEvent

    public void receiveEvent(org.jasig.portal.PortalEvent ev)

  Callback GroupsManager Implements IChannel interface

  Specified by:
    `receiveEvent` in interface `org.jasig.portal.IChannel`
  Parameters:
    `ev` - PortalEvent

### getRuntimeProperties

    public org.jasig.portal.ChannelRuntimeProperties getRuntimeProperties()

  Callback GroupsManager Implements IChannel interface

  Specified by:
    `getRuntimeProperties` in interface `org.jasig.portal.IChannel`
  Returns:
    rp ChannelRuntimeProperties

### renderXML

    public void renderXML(org.xml.sax.ContentHandler out)
                   throws org.jasig.portal.PortalException

  Callback GroupsManager Implements IChannel interface

  Specified by:
    `renderXML` in interface `org.jasig.portal.IChannel`
  Parameters:
    `out` - ContentHandler
  Throws:
    `org.jasig.portal.PortalException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD